﻿Public Class frmParent

   
    Private Sub frmParent_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
        '---this runs the first time the form is visible
        'tell splash screen this is its parent
        My.Forms.SplashScreen1.MdiParent = Me
        My.Forms.SplashScreen1.Show()

    End Sub

    Private Sub mnu_ShowCustomersForm_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CustomersToolStripMenuItem.Click
        My.Forms.frmCustomers.MdiParent = Me
        My.Forms.frmCustomers.Show()
    End Sub

    Private Sub mnu_ShowInventoryForm_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InventoryToolStripMenuItem.Click
        My.Forms.frmInventory.MdiParent = Me
        My.Forms.frmInventory.Show()
    End Sub

    Private Sub mnuFileClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CloseToolStripMenuItem.Click
        '---create reference variable to point to active form
        Dim myActiveForm As Form = Me.ActiveMdiChild
        If myActiveForm IsNot Nothing Then
            myActiveForm.Close()
        End If

    End Sub

    Private Sub mnuFileExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        If MessageBox.Show("Are you sure?", "The Train Store",
            MessageBoxButtons.YesNo,
            MessageBoxIcon.Question) = Windows.Forms.DialogResult.Yes Then
            Application.Exit()
        End If
    End Sub

    Private Sub TileVerticalToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TileVerticalToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileVertical)
    End Sub

    Private Sub TileHorizontalToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TileHorizontalToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileHorizontal)
    End Sub

    Private Sub CascadeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CascadeToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.Cascade)
    End Sub

    Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click
        My.Forms.AboutBox1.MdiParent = Me
        My.Forms.AboutBox1.Show()
    End Sub
End Class
